export interface AccountDetails {
  date_registered: number;
  gender: string;
  age?: string;
  type?: string;
  identities: {
    evm: {
      'bloxberg:8996': string[];
      'oldchain:1': string[];
    };
    latitude: number;
    longitude: number;
  };
  location: {
    area?: string;
    area_name: string;
    area_type?: string;
  };
  products: string[];
  category?: string;
  vcard: {
    email: [{
      value: string;
    }];
    fn: [{
      value: string;
    }];
    n: [{
      value: string[];
    }];
    tel: [{
      meta: {
        TYP: string[];
      },
      value: string;
    }],
    version: [{
      value: string;
    }];
  };
}

export interface Signature {
  algo: string;
  data: string;
  digest: string;
  engine: string;
}

export interface Meta {
  data: AccountDetails;
  id: string;
  signature: Signature;
}

export interface MetaResponse {
  id: string;
  m: Meta;
}

export const defaultAccount: AccountDetails = {
  date_registered: Date.now(),
  gender: 'other',
  identities: {
    evm: {
      'bloxberg:8996': [''],
      'oldchain:1': [''],
    },
    latitude: 0,
    longitude: 0,
  },
  location: {
    area_name: 'Kilifi',
  },
  products: [],
  vcard: {
    email: [{
      value: '',
    }],
    fn: [{
      value: 'GE',
    }],
    n: [{
      value: ['GE'],
    }],
    tel: [{
      meta: {
        TYP: [],
      },
      value: '',
    }],
    version: [{
      value: '3.0',
    }],
  },
};
